> For the complete documentation index, see [llms.txt](https://docs.sharinpix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sharinpix.com/documentation/cookbook/open-a-specific-image-in-full-view.md).

# Open a specific image in Full View

The present example will show how it is possible to automatically make the **SharinPix Album** :

* [Show a specific image](#show-a-specific-image)
* [Activate the Edit mode](#activate-the-annotation-mode)

## Show a specific image

* This section will demonstrate how it is possible to open a specific image in large view when the SharinPix Album loads.

To specify which particular image is to be displayed when the SharinPix Album loads for the first time, you will need to replace the image's id assigned to the the following reference:

```apex
String imageId = '1b2efab9-ee60-4236-85ac-9e37dab7a0f8'; //replace with your own image id
```

The code snippet below shows the implementation of the Apex Controller Class which dictates what specific image is opened within the large view mode.

```apex
public class SharinPixActionDemoCtrl {
    public String parameters {get; set;}
    
    public SharinPixActionDemoCtrl(ApexPages.StandardController controller) {
        Id albumId = controller.getId();
        String imageId = '1b2efab9-ee60-4236-85ac-9e37dab7a0f8'; //replace with your own image id

        Map<String, Object> params = new Map<String, Object> {
            'Id' => albumId,
            'path' => 'pagelayout/' + albumId + '?image=' + imageId,
            'abilities' => new Map<String, Object> {
                albumId => new Map<String, Object> {
                    'Access' => new Map<String, Object> {
                        'see' => true,
                        'image_list' => true,
                        'image_upload' => true,
                        'image_delete' => true,
                        'image_annotate' => true
                    }
                }
            } 
        };
       	parameters = JSON.serialize(params);
    }
}
```

The code snippet below shows the implementation of the Visualforce Page whose sole purpose revolves around displaying the SharinPix Album.

```html
<apex:page StandardController="Account" extensions="SharinPixActionDemoCtrl">
    <sharinpix:sharinpix parameters="{! parameters }" height="500px"></sharinpix:sharinpix>
</apex:page>
```

## Activate the Annotation mode

* As well as opening a specific image automatically, it is also possible to open this same image within the **Edit** mode. To perform the latter, you will need to append an extra parameter as shown below:&#x20;

<mark style="color:red;">`'pagelayout/' + albumId + '?image=' + imageId + '&annotate=true'`</mark>

{% hint style="warning" %}
Note:

Not all image sync abilities are available for the fullscreen feature.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sharinpix.com/documentation/cookbook/open-a-specific-image-in-full-view.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
